RevokedInfo (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.ocsp

## Class RevokedInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ocsp.RevokedInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class RevokedInfo
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevokedInfo(ASN1GeneralizedTime revocationTime)`
    `RevokedInfo(ASN1GeneralizedTime revocationTime, CRLReason revocationReason)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RevokedInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static RevokedInfo` | `getInstance(java.lang.Object obj)`
    `CRLReason` | `getRevocationReason()`
    `ASN1GeneralizedTime` | `getRevocationTime()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevokedInfo

          public RevokedInfo(ASN1GeneralizedTime revocationTime)

    - #### RevokedInfo

          public RevokedInfo(ASN1GeneralizedTime revocationTime,
                             CRLReason revocationReason)

  - ### Method Detail

    - #### getInstance

          public static RevokedInfo getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

    - #### getInstance

          public static RevokedInfo getInstance(java.lang.Object obj)

    - #### getRevocationTime

          public ASN1GeneralizedTime getRevocationTime()

    - #### getRevocationReason

          public CRLReason getRevocationReason()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

           RevokedInfo ::= SEQUENCE {
                revocationTime              GeneralizedTime,
                revocationReason    [0]     EXPLICIT CRLReason OPTIONAL }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.